=== debian/tests/control ===
# check single-feature tests only on amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ed25519 2.2.3
 --all-targets --all-features
Features: test-name=rust-ed25519-2:@
Depends:
 dh-rust,
 librust-bincode-1+default-dev,
 librust-ed25519-dalek-2+default-dev,
 librust-ed25519-dalek-2+rand-core-dev,
 librust-hex-literal-0.4+default-dev,
 librust-rand-core-0.6+default-dev,
 librust-rand-core-0.6+std-dev,
 librust-ed25519-2-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ed25519 2.2.3
 --all-targets --no-default-features
Features: test-name=rust-ed25519-2:
Depends:
 dh-rust,
 librust-bincode-1+default-dev,
 librust-ed25519-dalek-2+default-dev,
 librust-ed25519-dalek-2+rand-core-dev,
 librust-hex-literal-0.4+default-dev,
 librust-rand-core-0.6+default-dev,
 librust-rand-core-0.6+std-dev,
 librust-ed25519-2-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ed25519 2.2.3
 --all-targets
Features: test-name=rust-ed25519-2:default
Depends:
 dh-rust,
 librust-bincode-1+default-dev,
 librust-ed25519-dalek-2+default-dev,
 librust-ed25519-dalek-2+rand-core-dev,
 librust-hex-literal-0.4+default-dev,
 librust-rand-core-0.6+default-dev,
 librust-rand-core-0.6+std-dev,
 librust-ed25519-2+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ed25519 2.2.3
 --all-targets --no-default-features --features alloc
Features: test-name=rust-ed25519-2:alloc
Depends:
 dh-rust,
 librust-bincode-1+default-dev,
 librust-ed25519-dalek-2+default-dev,
 librust-ed25519-dalek-2+rand-core-dev,
 librust-hex-literal-0.4+default-dev,
 librust-rand-core-0.6+default-dev,
 librust-rand-core-0.6+std-dev,
 librust-ed25519-2+alloc-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ed25519 2.2.3
 --all-targets --no-default-features --features pem
Features: test-name=rust-ed25519-2:pem
Depends:
 dh-rust,
 librust-bincode-1+default-dev,
 librust-ed25519-dalek-2+default-dev,
 librust-ed25519-dalek-2+rand-core-dev,
 librust-hex-literal-0.4+default-dev,
 librust-rand-core-0.6+default-dev,
 librust-rand-core-0.6+std-dev,
 librust-ed25519-2+pem-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ed25519 2.2.3
 --all-targets --no-default-features --features pkcs8
Features: test-name=rust-ed25519-2:pkcs8
Depends:
 dh-rust,
 librust-bincode-1+default-dev,
 librust-ed25519-dalek-2+default-dev,
 librust-ed25519-dalek-2+rand-core-dev,
 librust-hex-literal-0.4+default-dev,
 librust-rand-core-0.6+default-dev,
 librust-rand-core-0.6+std-dev,
 librust-ed25519-2+pkcs8-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ed25519 2.2.3
 --all-targets --no-default-features --features serde
Features: test-name=rust-ed25519-2:serde
Depends:
 dh-rust,
 librust-bincode-1+default-dev,
 librust-ed25519-dalek-2+default-dev,
